Retrieve agent plan list
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/plan/listimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"details": [
{
"planId": "20250101114300769",
"proxyType": 2,
"traffic": 1,
"availableTraffic": 1,
"effectTime": "2025-01-01 11:43:00",
"expireTime": "2025-01-01 11:43:00",
"secUsername": "ancd1p32b",
"status": 1
}
],
"pagination": {
"currentPage": 1,
"pageSize": 10,
"totalRecords": 4,
"totalPages": 1
}
}Plan info
Retrieve agent plan list
Retrieve all plans under the specified agent, filtered by expiration time window (startTime to endTime, UTC+8).
GET
/
api
/
v2
/
plan
/
list
Retrieve agent plan list
curl --request GET \
--url https://api.okeyproxy.com/ipglobal-api/api/v2/plan/listimport requests
url = "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.okeyproxy.com/ipglobal-api/api/v2/plan/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"details": [
{
"planId": "20250101114300769",
"proxyType": 2,
"traffic": 1,
"availableTraffic": 1,
"effectTime": "2025-01-01 11:43:00",
"expireTime": "2025-01-01 11:43:00",
"secUsername": "ancd1p32b",
"status": 1
}
],
"pagination": {
"currentPage": 1,
"pageSize": 10,
"totalRecords": 4,
"totalPages": 1
}
}Query Parameters
Agent API key used for authentication
Start time, in yyyy-MM-dd HH:mm:ss format (UTC+8)
End time, in yyyy-MM-dd HH:mm:ss format (UTC+8)
Current page number (default: 1)
Number of records per page (default: 20, maximum: 100)
Required range:
x <= 100